{% extends "base.html" %}
{% load i18n %}
{% block title %}Doxilog - Test algorithme{% endblock %}

{% block content %}
  <form method="POST" enctype="multipart/form-data">
    {% csrf_token %}
    <div class="row my-4">
        <div class="mx-auto col-12 col-md-10 col-lg-8">
            <div class="text-center">
                <h1 class="mb-5">{% translate "Doxilog - Sauvergarde de données"|capfirst %}</h1>
                <div class="mb-4">
                    <input class="form-control" type="file" name="data_file" accept=".xml" required>
                </div>
                <button type="submit" class="btn btn-primary w-100">{% translate "Load Data"|capfirst %}</button>
            </div>
        </div>
    </div>
  </form>

  {% if count_added %}
    <div class="row">
      <div class="mx-auto col-12 col-md-10 col-lg-8">
        <div class="alert alert-success" role="alert">
          {% translate "occurence ajouté à la table : "|capfirst %} {{ count_added }}
        </div>
      </div>
    </div>
  {% endif %}
{% endblock %}
